Page MenuHomePhabricator

Apply schema change to translate_reviews in WMF
Closed, ResolvedPublic

Description

The ALTER TABLEs:

Where to run changes:

  • s3
  • testwiki
  • testwikidatawiki
  • advisorswiki
  • amwikimedia
  • bewikimedia
  • betawikiversity
  • brwikimedia
  • bdwikimedia
  • cawikimedia
  • collabwiki
  • hiwikimedia
  • incubatorwiki
  • legalteamwiki
  • maiwikimedia
  • mediawikiwiki
  • nowikimedia
  • otrs_wikiwiki
  • outreachwiki
  • ruwikimedia
  • sourceswiki
  • specieswiki
  • uawikimedia
  • wbwikimedia
  • wikimania2012wiki
  • wikimania2013wiki
  • wikimania2014wiki
  • wikimania2015wiki
  • wikimania2016wiki
  • wikimania2017wiki
  • wikimania2018wiki
  • wikimaniawiki
  • s4
  • commonswiki
  • s7
  • frwiktionary
  • metawiki
  • s8
  • wikidatawiki

When to run those changes:

  • Anytime

If the schema change is backwards compatible (is compatible with the current code deployed and can be performed at any time now)

  • It is backwards and forward compatible

If the schema change has been tested already on some of the test/beta wikis. Usually, as a last test, change should be applied to testwiki first.

  • Deployed and tested on Beta Cluster
  • Deployed and tested on translatewiki.net

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Nikerabbit renamed this task from WIP: Apply schema change to translate_reviews in WMF to Apply schema change to translate_reviews in WMF.Aug 14 2018, 1:09 PM
Nikerabbit edited projects, added Blocked-on-schema-change; removed User-Nikerabbit.
Nikerabbit updated the task description. (Show Details)
Marostegui triaged this task as Medium priority.Sep 3 2018, 7:14 AM

Quick note: this table is small enough (10MB on commons and wikidata) that this can probably be done directly on the primary masters and let it replicate

The biggest table is on metawiki which is 22M, so probably good to go directly on the masters someday early in the morning.

Mentioned in SAL (#wikimedia-operations) [2018-09-17T05:36:18Z] <marostegui> Deploy schema change on s3:testwiki directly on the master (db2043) - T201011

Mentioned in SAL (#wikimedia-operations) [2018-09-17T05:47:03Z] <marostegui> Deploy schema change on s3:testwikidatawiki directly on the master (db2043) - T201011

Mentioned in SAL (#wikimedia-operations) [2018-09-17T06:03:58Z] <marostegui> Deploy schema change on s3 - T201011

Mentioned in SAL (#wikimedia-operations) [2018-09-17T06:31:42Z] <marostegui> Deploy schema change on s4 - T201011

Mentioned in SAL (#wikimedia-operations) [2018-09-17T06:33:31Z] <marostegui> Deploy schema change on s7 (frwiktionary,metawiki) - T201011

For some reason db1094 (s7) already had that PK added there so it broke replication while adding it. Just to be completely sure and safe about consistency, I am going to re-import the table there from the master.

Change 460786 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094 and db1098:3317

https://gerrit.wikimedia.org/r/460786

Change 460786 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094 and db1098:3317

https://gerrit.wikimedia.org/r/460786

Mentioned in SAL (#wikimedia-operations) [2018-09-17T06:53:40Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1094 and db1098:3317 - T201011 (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2018-09-17T06:53:51Z] <marostegui> Stop replication in sync on db1094 and db1098:3317 - T201011

Mentioned in SAL (#wikimedia-operations) [2018-09-17T07:01:59Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1094 and db1098:3317 - T201011 (duration: 00m 49s)

In s8, db1092 has the same issue. So I am going to re-import the table before executing the change so replication doesn't break once I get it deployed directly on the master.

Change 460792 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092, db1099:3318

https://gerrit.wikimedia.org/r/460792

Change 460792 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092, db1099:3318

https://gerrit.wikimedia.org/r/460792

Mentioned in SAL (#wikimedia-operations) [2018-09-17T07:18:43Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1092 and db1099:3318 - T201011 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2018-09-17T07:18:51Z] <marostegui> Stop replication in sync on db1092 and db1099:3318 - T201011

Mentioned in SAL (#wikimedia-operations) [2018-09-17T07:24:45Z] <marostegui> Deploy schema change on s8 - T201011

Mentioned in SAL (#wikimedia-operations) [2018-09-17T07:24:53Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1092 and db1099:3318 - T201011 (duration: 00m 49s)

Marostegui claimed this task.
Marostegui updated the task description. (Show Details)

This is all done.